// POST https://api.signatureapi.com/v1/envelopes/{envelope_id}/deliverables
// X-API-Key: key_test_...
{
"type": "standard",
"language": "en",
"timezone": "UTC",
"timestamp_format": "MM/DD/YYYY HH:mm:ss"
}
// 201 Created
{
"id": "del_3gGNgIxxxxo8Xn7epZQ8F",
"name": null,
"envelope_id": "4ec99c57-4430-4d73-8afd-912dcf4b5880",
"type": "standard",
"language": "en",
"timezone": "UTC",
"timestamp_format": "MM/DD/YYYY HH:mm:ss",
"included_documents": ["contract", "addendum", "exhibit_a"],
"password": null,
"status": "processing",
"url": null,
"created_at": "2025-12-31T23:59:59.999Z",
"generated_at": null
}
Creates a deliverable for a completed envelope.
// POST https://api.signatureapi.com/v1/envelopes/{envelope_id}/deliverables
// X-API-Key: key_test_...
{
"type": "standard",
"language": "en",
"timezone": "UTC",
"timestamp_format": "MM/DD/YYYY HH:mm:ss"
}
// 201 Created
{
"id": "del_3gGNgIxxxxo8Xn7epZQ8F",
"name": null,
"envelope_id": "4ec99c57-4430-4d73-8afd-912dcf4b5880",
"type": "standard",
"language": "en",
"timezone": "UTC",
"timestamp_format": "MM/DD/YYYY HH:mm:ss",
"included_documents": ["contract", "addendum", "exhibit_a"],
"password": null,
"status": "processing",
"url": null,
"created_at": "2025-12-31T23:59:59.999Z",
"generated_at": null
}
Show Standard Deliverable
standard and simple. The default is standard.standard: Includes all documents and an audit logsimple: Includes only the documents without an audit logstandard.********).Show Simple Deliverable
standard and simple. The default is standard.standard: Includes all documents and an audit logsimple: Includes only the documents without an audit logsimple.********).201 Created status code along with a deliverable object after successful creation, or an error otherwise.
// POST https://api.signatureapi.com/v1/envelopes/{envelope_id}/deliverables
// X-API-Key: key_test_...
{
"type": "standard",
"language": "en",
"timezone": "UTC",
"timestamp_format": "MM/DD/YYYY HH:mm:ss"
}
// 201 Created
{
"id": "del_3gGNgIxxxxo8Xn7epZQ8F",
"name": null,
"envelope_id": "4ec99c57-4430-4d73-8afd-912dcf4b5880",
"type": "standard",
"language": "en",
"timezone": "UTC",
"timestamp_format": "MM/DD/YYYY HH:mm:ss",
"included_documents": ["contract", "addendum", "exhibit_a"],
"password": null,
"status": "processing",
"url": null,
"created_at": "2025-12-31T23:59:59.999Z",
"generated_at": null
}
Was this page helpful?